# permissions.cpp File Reference

`#include <saga/saga/util.hpp>`
`#include <saga/saga/exception.hpp>`
`#include <saga/saga/object.hpp>`
`#include <saga/saga/task.hpp>`
`#include <saga/saga/permissions.hpp>`
`#include <saga/saga/context.hpp>`
`#include <saga/impl/exception.hpp>`
`#include <saga/impl/engine/object.hpp>`
`#include <saga/impl/engine/permissions.hpp>`
`#include <saga/impl/engine/context_base.hpp>`
`#include <saga/saga/detail/permissions_impl.hpp>`

## Namespaces
namespace | saga
namespace | saga::detail